package com.xunhong.erp.turbo.biz.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerWarehouseCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerWarehouseDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerWarehouseUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.DealerWarehouseListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.DealerWarehousePageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.DealerWarehouseShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.DealerWarehouse;

import java.util.List;

/**
 * @author shenyifei
 */
public interface DealerWarehouseGateway {
	DealerWarehouse save(DealerWarehouseCreateCmd dealerWarehouseCreateCmd);

	IPage<DealerWarehouse> page(DealerWarehousePageQry dealerWarehousePageQry);

	List<DealerWarehouse> list(DealerWarehouseListQry dealerWarehouseListQry);

	DealerWarehouse update(DealerWarehouseUpdateCmd dealerWarehouseUpdateCmd);

	DealerWarehouse show(DealerWarehouseShowQry dealerWarehouseShowQry);

	void destroy(DealerWarehouseDestroyCmd dealerWarehouseDestroyCmd);
}

